Delete compute service

Open

Experimental endpoint: this API is in active development and may change at any time without notice. Deletes a compute service. All compute versions under the service must already be stopped or deleted.

⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️

Deletes a compute service. All compute versions under the service must already be stopped or deleted.

DELETE /v1/compute-services/{computeServiceId}

Authorization

OAuth2 workspace:admin, offline_access

Authorization Bearer

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Path Parameters

computeServiceId string

Match ^(cps_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Response Body

204

401 application/json

403 application/json

404 application/json

409 application/json

429 application/json

cURL

JavaScript

Go

Python

Java

C#

curl -X DELETE "https://api.prisma.io/v1/compute-services/string"

204 401 403 404 409 429

Empty

{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}